Bug 150542 - rc.sysinit runs kmodule before mounting /usr
rc.sysinit runs kmodule before mounting /usr
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-03-07 23:17 EST by Lev Iserovich
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-08 00:29:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lev Iserovich 2005-03-07 23:17:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
rc.sysinit runs kmodule and and attempts to load modules for all hardware in the system.
The problem is that at that point, no filesystems from /etc/fstab are mounted, specifically /usr.
kmodule needs files in /usr/share/hwdata, which are not visible yet.
So kmodule does not detect almost any devices (since it can't read any hardware data descriptions).
module insertion should either be moved after /usr is mounted, or devices should be re-scanned after mounting /usr or something to this effect.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a system where /usr is on a separate partition or drive
2. Have some hardware that kmodule needs definitions for - usually PCI cards - a SoundBlaster Live! in my case.

Actual Results:  The module for the PCI device in question (SBLive in my case - snd-emu10k1) is not loaded until I load it manually.

Expected Results:  Module should be loaded automatically.

Additional info:
Comment 1 Bill Nottingham 2005-03-08 00:29:58 EST
See bug 150123. It's fixed in 1.1.110-1.

Note You need to log in before you can comment on or make changes to this bug.